Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Functions
CoinDenseVector.hpp File Reference
`#include <cassert>`
`#include <cstdlib>`
`#include <cmath>`
`#include "CoinHelperFunctions.hpp"`
Include dependency graph for CoinDenseVector.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CoinDenseVector< T >
| Dense Vector. More...

## Functions
template<typename T >
void | CoinDenseVectorUnitTest (T dummy)
| A function that tests the methods in the CoinDenseVector class. More...
Arithmetic operators on dense vectors.
NOTE: Because these methods return an object (they can't return a reference, though they could return a pointer...) they are very inefficient...
template<typename T >
CoinDenseVector< T > | operator+ (const CoinDenseVector< T > &op1, const CoinDenseVector< T > &op2)
| Return the sum of two dense vectors. More...
template<typename T >
CoinDenseVector< T > | operator- (const CoinDenseVector< T > &op1, const CoinDenseVector< T > &op2)
| Return the difference of two dense vectors. More...
template<typename T >
CoinDenseVector< T > | operator* (const CoinDenseVector< T > &op1, const CoinDenseVector< T > &op2)
| Return the element-wise product of two dense vectors. More...
template<typename T >
CoinDenseVector< T > | operator/ (const CoinDenseVector< T > &op1, const CoinDenseVector< T > &op2)
| Return the element-wise ratio of two dense vectors. More...
Arithmetic operators on dense vector and a constant.
These functions create a dense vector as a result. That dense vector will have the same indices as `op1` and the specified operation is done entry-wise with the given value.
template<typename T >
CoinDenseVector< T > | operator+ (const CoinDenseVector< T > &op1, T value)
| Return the sum of a dense vector and a constant. More...
template<typename T >
CoinDenseVector< T > | operator- (const CoinDenseVector< T > &op1, T value)
| Return the difference of a dense vector and a constant. More...
template<typename T >
CoinDenseVector< T > | operator* (const CoinDenseVector< T > &op1, T value)
| Return the element-wise product of a dense vector and a constant. More...
template<typename T >
CoinDenseVector< T > | operator/ (const CoinDenseVector< T > &op1, T value)
| Return the element-wise ratio of a dense vector and a constant. More...
template<typename T >
CoinDenseVector< T > | operator+ (T value, const CoinDenseVector< T > &op1)
| Return the sum of a constant and a dense vector. More...
template<typename T >
CoinDenseVector< T > | operator- (T value, const CoinDenseVector< T > &op1)
| Return the difference of a constant and a dense vector. More...
template<typename T >
CoinDenseVector< T > | operator* (T value, const CoinDenseVector< T > &op1)
| Return the element-wise product of a constant and a dense vector. More...
template<typename T >
CoinDenseVector< T > | operator/ (T value, const CoinDenseVector< T > &op1)
| Return the element-wise ratio of a a constant and dense vector. More...

## Function Documentation

template<typename T >

void CoinDenseVectorUnitTest | ( | T | dummy | ) |

A function that tests the methods in the CoinDenseVector class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.

template<typename T >

CoinDenseVector< T > operator+ | ( | const CoinDenseVector< T > & | op1,
|  | const CoinDenseVector< T > & | op2
| ) |  |
| inline

Return the sum of two dense vectors.

Definition at line 217 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator- | ( | const CoinDenseVector< T > & | op1,
|  | const CoinDenseVector< T > & | op2
| ) |  |
| inline

Return the difference of two dense vectors.

Definition at line 233 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator* | ( | const CoinDenseVector< T > & | op1,
|  | const CoinDenseVector< T > & | op2
| ) |  |
| inline

Return the element-wise product of two dense vectors.

Definition at line 249 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator/ | ( | const CoinDenseVector< T > & | op1,
|  | const CoinDenseVector< T > & | op2
| ) |  |
| inline

Return the element-wise ratio of two dense vectors.

Definition at line 265 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator+ | ( | const CoinDenseVector< T > & | op1,
|  | T | value
| ) |  |
| inline

Return the sum of a dense vector and a constant.

Definition at line 287 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator- | ( | const CoinDenseVector< T > & | op1,
|  | T | value
| ) |  |
| inline

Return the difference of a dense vector and a constant.

Definition at line 301 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator* | ( | const CoinDenseVector< T > & | op1,
|  | T | value
| ) |  |
| inline

Return the element-wise product of a dense vector and a constant.

Definition at line 315 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator/ | ( | const CoinDenseVector< T > & | op1,
|  | T | value
| ) |  |
| inline

Return the element-wise ratio of a dense vector and a constant.

Definition at line 329 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator+ | ( | T | value,
|  | const CoinDenseVector< T > & | op1
| ) |  |
| inline

Return the sum of a constant and a dense vector.

Definition at line 343 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator- | ( | T | value,
|  | const CoinDenseVector< T > & | op1
| ) |  |
| inline

Return the difference of a constant and a dense vector.

Definition at line 357 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator* | ( | T | value,
|  | const CoinDenseVector< T > & | op1
| ) |  |
| inline

Return the element-wise product of a constant and a dense vector.

Definition at line 371 of file CoinDenseVector.hpp.

template<typename T >

CoinDenseVector< T > operator/ | ( | T | value,
|  | const CoinDenseVector< T > & | op1
| ) |  |
| inline

Return the element-wise ratio of a a constant and dense vector.

Definition at line 385 of file CoinDenseVector.hpp.